import { useState, useEffect } from 'react'

type OuData = {
  id: number
  nb: string
  en: string
}

function useOus(): OuData[] {
  const [ous, setOus] = useState<OuData[]>([])
  const getOptions = async () => {
    const response = await fetch('/api/ui/v1/ous/?format=json')
    if (response.ok) {
      const ousJson = await response.json()
      setOus(ousJson.ous)
    }
  }

  useEffect(() => {
    getOptions()
  }, [])
  return ous
}

export const enSort = (a: OuData, b: OuData) => {
  if (a.en > b.en) {
    return 1
  }
  if (b.en > a.en) {
    return -1
  }
  return 0
}

export const nbSort = (a: OuData, b: OuData) => {
  if (a.nb > b.nb) {
    return 1
  }
  if (b.nb > a.nb) {
    return -1
  }
  return 0
}

export type { OuData }
export default useOus
